Update the conversation details based on the conversation ID

http
PUT https://services.leadconnectorhq.com/conversations/{conversationId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
conversationIdstringYestDtDnQdgm2LXpyiqYvZ6Conversation ID as string

Body

NameTypeRequiredExampleDescription
locationIdstringYestDtDnQdgm2LXpyiqYvZ6Account ID as string
unreadCountnumberNo1Count of unread messages in the conversation
starredbooleanNoTrueStarred status of the conversation.
feedbackobjectNo

Responses

200 - Successful response
  • success (boolean, required): Boolean value as the API response. Example: True

  • conversation (object, required): Conversation data of the provided conversation ID.

json
{
  "success": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/conversations/YOUR_conversationId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "tDtDnQdgm2LXpyiqYvZ6",
  "unreadCount": 1,
  "starred": true,
  "feedback": {}
}'

Last updated October 26, 2026

Was this page helpful?